summaryrefslogtreecommitdiff
path: root/tests/misc/nl
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/nl')
-rwxr-xr-xtests/misc/nl63
1 files changed, 0 insertions, 63 deletions
diff --git a/tests/misc/nl b/tests/misc/nl
deleted file mode 100755
index 72d2c21..0000000
--- a/tests/misc/nl
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/bin/sh
-# exercise nl functionality
-
-# Copyright (C) 2002, 2003, 2006 Free Software Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
-
-if test "$VERBOSE" = yes; then
- set -x
- nl --version
-fi
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
-fail=0
-
-echo a | nl > out || fail=1
-echo b | nl -s%n >> out || fail=1
-echo c | nl -n ln >> out || fail=1
-echo d | nl -n rn >> out || fail=1
-echo e | nl -n rz >> out || fail=1
-echo === >> out
-printf 'a\n\n' | nl > t || fail=1; cat -A t >> out
-cat <<\EOF > exp
- 1 a
- 1%nb
-1 c
- 1 d
-000001 e
-===
- 1^Ia$
- $
-EOF
-
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
-
-(exit $fail); exit $fail